Specifications

The FireBoard FBX11 use Bluetooth 4.0 (BLE). The official Bluetooth 4.0 spec provides very detailed information about the capabilities of the protocol. In addition, FireBoard has performed field testing resulting in the following findings:

FireBoard requires that your mobile device is equipped with Bluetooth 4.0+ hardware and run either iOS or Android. To use FireBoard on your Apple product, make sure your device is one of the following with iOS8 or later:

To use your FireBoard on an Android device, make sure your device is on Android 5.0 or later and is equipped with a Bluetooth 4.0+ radio. Not sure if your phone meets this requirement? Contact us at support@fireboard.com and let us know which phone you’re using – we’ll do our best to let you know the answer!